package com.xkrs.model.qo;

import com.xkrs.model.validation.DataSourceQoInsert;

import javax.validation.constraints.NotBlank;

/**
 * @Author: XinYi Song
 * @Date: 2022/1/19 16:37
 */
public class DataSourceQo {

    /**
     * 批次号
     */
    @NotBlank(message = "{DataSource.lotNo.blank}", groups = {DataSourceQoInsert.class})
    private String lotNo;

    /**
     * 机器号
     */
    @NotBlank(message = "{DataSource.machineNo.blank}", groups = {DataSourceQoInsert.class})
    private String machineNo;

    /**
     * 物料号
     */
    @NotBlank(message = "{DataSource.materialNo.blank}", groups = {DataSourceQoInsert.class})
    private String materialNo;

    /**
     * 模具号
     */
    @NotBlank(message = "{DataSource.modelNo.blank}", groups = {DataSourceQoInsert.class})
    private String modelNo;

    /**
     * 零件号
     */
    @NotBlank(message = "{DataSource.partNo.blank}", groups = {DataSourceQoInsert.class})
    private String partNo;

    /**
     * 检验项代码
     */
    @NotBlank(message = "{DataSource.inspectionItemCode.blank}", groups = {DataSourceQoInsert.class})
    private String inspectionItemCode;

    /**
     * 检验数值
     */
    @NotBlank(message = "{DataSource.inspectValue.blank}", groups = {DataSourceQoInsert.class})
    private String inspectValue;

    public DataSourceQo() {
    }

    public String getLotNo() {
        return lotNo;
    }

    public void setLotNo(String lotNo) {
        this.lotNo = lotNo;
    }

    public String getMachineNo() {
        return machineNo;
    }

    public void setMachineNo(String machineNo) {
        this.machineNo = machineNo;
    }

    public String getMaterialNo() {
        return materialNo;
    }

    public void setMaterialNo(String materialNo) {
        this.materialNo = materialNo;
    }

    public String getModelNo() {
        return modelNo;
    }

    public void setModelNo(String modelNo) {
        this.modelNo = modelNo;
    }

    public String getPartNo() {
        return partNo;
    }

    public void setPartNo(String partNo) {
        this.partNo = partNo;
    }

    public String getInspectionItemCode() {
        return inspectionItemCode;
    }

    public void setInspectionItemCode(String inspectionItemCode) {
        this.inspectionItemCode = inspectionItemCode;
    }

    public String getInspectValue() {
        return inspectValue;
    }

    public void setInspectValue(String inspectValue) {
        this.inspectValue = inspectValue;
    }
}
